/*
 * Class CURSOR_STRUCTURE [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1695 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1695 [] = {0xFF01,1551,1694,863,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1695 [] = {0xFF01,1694,863,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1695 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1695 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1695 [] = {0xFF01,1694,863,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1695 [] = {0xFF01,1694,863,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1695 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1695 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1695 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1695 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1695 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1695 [] = {1694,863,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1695 [] = {0xFF01,1694,863,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1695 [] = {0xFF01,1691,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1695 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1695 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1695 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1695[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1695), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1695), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1695), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1695), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1695), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1695), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1695), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1695), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1695), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1695), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1695), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1695), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1695), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1695), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8613, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8614, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8615, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8616, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8617, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1695), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1695), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9018, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9019, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9020, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1695), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9081, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1695), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1695(void)
{
	IDSC(desc_1695, 0, 1694);
	IDSC(desc_1695 + 1, 1, 1694);
	IDSC(desc_1695 + 32, 1134, 1694);
	IDSC(desc_1695 + 41, 1135, 1694);
	IDSC(desc_1695 + 50, 1060, 1694);
	IDSC(desc_1695 + 56, 254, 1694);
	IDSC(desc_1695 + 59, 778, 1694);
}


#ifdef __cplusplus
}
#endif
